GET
/origin_endpoints
http://mediapackage.{region}.amazonaws.com/origin_endpointsReturns a collection of OriginEndpoint records.
Access Token Required: API Key
Query Params
channelIdstring
When specified, the request will return only OriginEndpoints associated with the given Channel ID.
maxResultsinteger
The upper bound on the number of records to return.
nextTokenstring
A token used to resume pagination from the end of a previous request.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://mediapackage.{region}.amazonaws.com/origin_endpoints' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}